Opened 7 years ago

Closed 6 years ago

#6372 closed defect

SCI: Jones In the Fast Lane CD variant not detected

Reported by: SF/collector9 Owned by: bluegr
Priority: normal Component: Engine: SCI
Keywords: detection Cc:
Game: Jones in the Fast Lane

Description

unrecognized version of Jones In the Fast Lane CD with ScummVM 1.6.0 (May 27 2013 11:35:35) Game is not recognized, but starts as generic SCI game

The game in 'F:\Sierra\Jones in the Fast Lane CD\' seems to be unknown. Please, report the following data to the ScummVM team along with name of the game you tried to add and its version/language/etc.: {"resource.001", 0, "3876da2ce16fb7dea2f5d943d946fa84", 1652062}, {"resource.map", 0, "4344ff3f796707843b992adec2c87663", 4878},

User picked target 'jones-cd' (gameid 'sci')... Looking for a plugin supporting this gameid... SCI [SCI0, SCI01, SCI10, SCI11]

Starting 'Sierra SCI Game'

Ticket imported from: #3614668. Ticket imported from: bugs/6372.

Change History (11)

comment:1 by bluegr, 7 years ago

Looks like a bad copy of the CD version. The MD5 checks match, but resource.001 is 1,652,062 bytes instead of 1,652,150

comment:2 by SF/collector9, 7 years ago

The disc is not damaged and the game is completable. There are no CRC errors when copying over the file to the hard drive. The Sierra Resource Viewer has no problems opening the game's resources. The correct size is listed in the console message, but the MD5 I get directly on my RESOURCE.001 is:

ADF3FF4989B2AFA6130B832D2E7E3BE4

The map file has the same MD5 as indicated in the console.

comment:3 by digitall, 7 years ago

Summary: unrecognized version of Jones In the Fast Lane CDSCI: Jones In the Fast Lane CD variant not detected

comment:4 by digitall, 7 years ago

Hmm... Sounds like an unknown variant then.

Can you give the publisher, pressing id (the serial number around the centre circle of the CD), and other details from the disc to allow us to identify the exact release please?

comment:5 by digitall, 7 years ago

collector9: Please could you also attach a text file to this bug containing a file listing of your Jones in the Fast Lane CD datafiles, preferably with file md5sums? The output of a tool such as this: http://md5summer.org or other tool from http://wiki.scummvm.org/index.php/Reporting_unknown_MD5_checksums would be optimal.

I can then compare this to my copy...

Also, please indicate whether your CD is a DOS or Win3.1 variant?

comment:6 by SF/collector9, 7 years ago

There is no Win interpreter, it is DOS only. the pressing id is CDAC-0140500 4

It is published by Sierra. The labeling has:

TM designates trademark of Sierra On-Line,inc. (R) is a registered trademark of Sierra On-Line,inc. (C)(P) Sierra On-Line,inc. 1991. All rights reserve.

JONES in the Fast Lane contains technology described in pending U.S. Patent Application,

CDAC-010500 83745910

There is the Jones character on the disc above a "Presented By Media Vision" It also has the title of the game in the same style as on the box.

Volume in drive Y has no label. Volume Serial Number is C073-1AAF

Directory of Y:\

ADL.DRV 8,070 A793E4A97E91E44DB7B85C395698A75F 8/20/1991 5:39 AM AUDBLAST.DRV 34,539 85D64A7985E8948DB06034D7AE8507E9 8/19/1991 9:54 PM AUDCDROM.DRV 896 EA568253C4A0B0AD6DF60212B7F6A520 8/22/1991 11:23 PM AUDDISNY.DRV 34,066 C15FCC7B1B6F99E8B8D888DBE574108F 8/19/1991 9:54 PM AUDIO001.002 23,126,016 0E7D1D15DCBCABD9CCFAF9ECA1792DF4 8/19/1991 9:54 PM AUDIO001.MAP 5,340 B2B0591B47899BD80883BD8CF7BF7000 8/19/1991 9:54 PM AUDPS1.DRV 33,891 85800194B162EA9804267C306D77A9EC 8/19/1991 9:54 PM AUDTANDY.DRV 34,068 570308F8DB7C01F9AE90F674E978C577 8/19/1991 9:54 PM CDAUDIO.MAP 5,340 CB1E689F4E515208CEC2FEDDC0EBF091 8/19/1991 9:54 PM CMS.DRV 3,741 38A7F0D02E38AA427B11858A75657485 8/19/1991 9:54 PM DISNEY 195 FDDDEEADE846B31342A42BEEBA85B15D 8/19/1991 9:54 PM IBMKBD.DRV 537 CE095142A4B231A0E5D2E4662B6EA829 8/19/1991 9:54 PM IBMPS1.DRV 4,364 D0ED61A57384DA298B3996363C1B0FE1 8/19/1991 9:54 PM INSTALL.EXE 72,497 1D3295CD7CAA2F09D9F74D17DDCB886A 8/19/1991 9:54 PM INSTALL.HLP 14,027 75038E1869F061D627F9E1BE67C41DCA 8/19/1991 9:54 PM INSTALL.SCR 667 363B921E7753C04E829292AF10BC2579 8/19/1991 9:55 PM INSTALL.TXT 4,189 A03A793CD8A1B95C3927D655DBE1F184 8/19/1991 9:55 PM INTERP.TXT 2,366 00A9D00585468C1A25250B56E0267AA9 8/19/1991 9:55 PM JONES.BAT 31 303D47446B504E4C22F4B5175CF6B27B 8/19/1991 9:54 PM JOYSTICK.DRV 607 C75B73974160FF652A909A0D01F97214 8/19/1991 9:54 PM MT32 190 1E45C8DDAE285FB0BC0ADCA1C66C6753 8/19/1991 9:54 PM MT32.DRV 1,976 FF31A3A4FE6AAF06866C47E2C64CEEE5 8/19/1991 9:54 PM PROAUDIO.DRV 11,178 6B0B62013D9AEA2A01E25CB46B4D2F1D 8/19/1991 9:54 PM PS1 193 D77CD308E204F678B55F74B8F9593BAC 8/19/1991 9:54 PM README 891 AA623D5A829FBBBE06A4843AC7C7F7CE 8/19/1991 9:54 PM README.BAT 29 E8ECB9C550BA8BA43216C6E70FF97514 8/19/1991 9:55 PM RESOURCE.001 1,652,062 ADF3FF4989B2AFA6130B832D2E7E3BE4 8/19/1991 9:52 PM RESOURCE.CFG 38 3CDE15B89626056CFB18371C4EFBC199 8/19/1991 9:54 PM RESOURCE.MAP 4,878 4344FF3F796707843B992ADEC2C87663 8/19/1991 9:55 PM SCIDHUV.EXE 123,359 C58A03BB9092C59418888C8EBFA44D27 8/19/1991 9:54 PM SNDBLAST 194 A61142359BBC0484804A9C9A2FABCE11 8/19/1991 9:54 PM SNDBLAST.DRV 9,768 6D68C102387C48C864EABB88F4133D5D 8/19/1991 9:54 PM STD 213 82090A69AFFE3ACB29D9C6EF96A15FDC 8/19/1991 9:54 PM STD.DRV 1,461 440E21ABB5E32BD34CFC37296D901075 8/19/1991 9:54 PM TANDY 196 6B6C9C708467A4E4655B2D5417A56387 8/19/1991 9:54 PM TANDY3V.DRV 3,950 B74D9234485643BB9808782B2F1B6462 8/19/1991 9:54 PM VERSION 5 07F863C37A2CE25DF345667E0CFAF63A 8/19/1991 9:54 PM VGA320.DRV 4,461 A20BC0B69AD2D3F04D9FAB76F741B249 8/19/1991 9:54 PM VGA320BW.DRV 4,369 ED4C40263F1314548F71A3714CB3610A 8/19/1991 9:54 PM 39 File(s) 25,204,858 bytes 0 Dir(s) 0 bytes free

comment:7 by digitall, 7 years ago

How very strange... According to Mobygames, the 1991 DOS releases were Floppy only: http://www.mobygames.com/game/dos/jones-in-the-fast-lane/release-info It wasn't until 1992 that CDROM variant was produced: http://www.mobygames.com/game/jones-in-the-fast-lane-cd-rom/release-info

You must have a relatively rare early release there...

thebluegr: Do you want to deal with adding a detection entry for this version?

comment:8 by digitall, 7 years ago

Owner: set to bluegr

comment:9 by SF/collector9, 7 years ago

The disc I have is a US release and looks a lot like this:

http://www.mobygames.com/game/jones-in-the-fast-lane-cd-rom/cover-art/gameCoverId,95072/

Except mine has no red and it has the Media Vision logo below the Jones character. Note that the copyright year on the Moby image has 1991, too.

comment:10 by bluegr, 6 years ago

Added in d041177, should be available in the next daily version. Thanks!

comment:11 by bluegr, 6 years ago

Status: newclosed
Note: See TracTickets for help on using tickets.